import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.SdApplication;
import com.sd.business.controller.order.OrderController;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.OrderInfoVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class D1_OrderCompare {


    @Autowired
    private OrderController orderController;


    /**
     * string修改库存
     */
    @DSTransactional
    @Test
    public void test() {

        String a = "XD230827002018\n" +
                "XD230828001437\n" +
                "XD230828001719\n" +
                "XD230828001510\n" +
                "XD230828001712\n" +
                "XD230828001508\n" +
                "XD230828001520\n" +
                "XD230828001752\n" +
                "XD230828001538\n" +
                "XD230828001739\n" +
                "XD230828001550\n" +
                "XD230828001514\n" +
                "XD230828001655\n" +
                "XD230828001568\n" +
                "XD230828001524\n" +
                "XD230828001733\n" +
                "XD230828001683\n" +
                "XD230828001769\n" +
                "XD230828001574\n" +
                "XD230828001584\n" +
                "XD230828001753\n" +
                "XD230828001829\n" +
                "XD230828001839\n" +
                "XD230828001547\n" +
                "XD230828001832\n" +
                "XD230828001641\n" +
                "XD230828001836\n" +
                "XD230828001846\n" +
                "XD230828001577\n" +
                "XD230828001822\n" +
                "XD230828001700\n" +
                "XD230828001866\n" +
                "XD230828001889\n" +
                "XD230828001842\n" +
                "XD230828001833\n" +
                "XD230828001721\n" +
                "XD230828001949\n" +
                "XD230828001587\n" +
                "XD230828001761\n" +
                "XD230828001835\n" +
                "XD230828001728\n" +
                "XD230828001912\n" +
                "XD230828001913\n" +
                "XD230828001885\n" +
                "XD230828001851\n" +
                "XD230828001845\n" +
                "XD230828001657\n" +
                "XD230828002019\n" +
                "XD230828001996\n" +
                "XD230828001881\n" +
                "XD230828001901\n" +
                "XD230828001677\n" +
                "XD230828001953\n" +
                "XD230828001707\n" +
                "XD230828001945\n" +
                "XD230828001834\n" +
                "XD230828001961\n" +
                "XD230828001824\n" +
                "XD230828001955\n" +
                "XD230828001993\n" +
                "XD230828001717\n" +
                "XD230828001727\n" +
                "XD230828002011\n" +
                "XD230828002109\n" +
                "XD230828002016\n" +
                "XD230828002012\n" +
                "XD230828001982\n" +
                "XD230828001880\n" +
                "XD230828001992\n" +
                "XD230828001860\n" +
                "XD230828002036\n" +
                "XD230828001894\n" +
                "XD230828001985\n" +
                "XD230828001904\n" +
                "XD230828001924\n" +
                "XD230828002169\n" +
                "XD230828002046\n" +
                "XD230828002159\n" +
                "XD230828002042\n" +
                "XD230828002072\n" +
                "XD230828002149\n" +
                "XD230828001995\n" +
                "XD230828002091\n" +
                "XD230828002086\n" +
                "XD230828002101\n" +
                "XD230828001934\n" +
                "XD230828001944\n" +
                "XD230828002199\n" +
                "XD230828001807\n" +
                "XD230828002113\n" +
                "XD230828002121\n" +
                "XD230828002126\n" +
                "XD230828002122\n" +
                "XD230828002141\n" +
                "XD230828002229\n" +
                "XD230828002161\n" +
                "XD230828001994\n" +
                "XD230828002163\n" +
                "XD230828001938\n" +
                "XD230828002249\n" +
                "XD230828001847\n" +
                "XD230828002151\n" +
                "XD230828002162\n" +
                "XD230828002014\n" +
                "XD230828002125\n" +
                "XD230828002183\n" +
                "XD230828002269\n" +
                "XD230828002279\n" +
                "XD230828002010\n" +
                "XD230828002202\n" +
                "XD230828002145\n" +
                "XD230828002193\n" +
                "XD230828002030\n" +
                "XD230828002299\n" +
                "XD230828002213\n" +
                "XD230828002020\n" +
                "XD230828002155\n" +
                "XD230828002222\n" +
                "XD230828002044\n" +
                "XD230828002165\n" +
                "XD230828002232\n" +
                "XD230828002060\n" +
                "XD230828002050\n" +
                "XD230828002231\n" +
                "XD230828002272\n" +
                "XD230828002074\n" +
                "XD230828002241\n" +
                "XD230828002156\n" +
                "XD230828001998\n" +
                "XD230828002104\n" +
                "XD230828002206\n" +
                "XD230828002369\n" +
                "XD230828001887\n" +
                "XD230828002263\n" +
                "XD230828002379\n" +
                "XD230828002273\n" +
                "XD230828002080\n" +
                "XD230828002302\n" +
                "XD230828002114\n" +
                "XD230828002283\n" +
                "XD230828002281\n" +
                "XD230828002038\n" +
                "XD230828002134\n" +
                "XD230828002291\n" +
                "XD230828002322\n" +
                "XD230828001917\n" +
                "XD230828002144\n" +
                "XD230828002301\n" +
                "XD230828002449\n" +
                "XD230828002286\n" +
                "XD230828002245\n" +
                "XD230828002459\n" +
                "XD230828002342\n" +
                "XD230828002255\n" +
                "XD230828002275\n" +
                "XD230828002285\n" +
                "XD230828002130\n" +
                "XD230828001937\n" +
                "XD230828002174\n" +
                "XD230828002184\n" +
                "XD230828002321\n" +
                "XD230828002313\n" +
                "XD230828001977\n" +
                "XD230828002352\n" +
                "XD230828002068\n" +
                "XD230828002295\n" +
                "XD230828002078\n" +
                "XD230828002499\n" +
                "XD230828002331\n" +
                "XD230828001987\n" +
                "XD230828002150\n" +
                "XD230828002326\n" +
                "XD230828002346\n" +
                "XD230828002509\n" +
                "XD230828002371\n" +
                "XD230828002214\n" +
                "XD230828002353\n" +
                "XD230828002529\n" +
                "XD230828002224\n" +
                "XD230828002017\n" +
                "XD230828002392\n" +
                "XD230828002376\n" +
                "XD230828002381\n" +
                "XD230828002386\n" +
                "XD230828002365\n" +
                "XD230828002037\n" +
                "XD230828002373\n" +
                "XD230828002067\n" +
                "XD230828002549\n" +
                "XD230828002375\n" +
                "XD230828002148\n" +
                "XD230828002383\n" +
                "XD230828002412\n" +
                "XD230828002446\n" +
                "XD230828002210\n" +
                "XD230828002087\n" +
                "XD230828002422\n" +
                "XD230828002190\n" +
                "XD230828002452\n" +
                "XD230828002395\n" +
                "XD230828002579\n" +
                "XD230828002589\n" +
                "XD230828002431\n" +
                "XD230828002097\n" +
                "XD230828002432\n" +
                "XD230828002421\n" +
                "XD230828002492\n" +
                "XD230828002472\n" +
                "XD230828002506\n" +
                "XD230828002476\n" +
                "XD230828002496\n" +
                "XD230828002423\n" +
                "XD230828002609\n" +
                "XD230828002304\n" +
                "XD230828002415\n" +
                "XD230828002599\n" +
                "XD230828002433\n" +
                "XD230828002405\n" +
                "XD230828002451\n" +
                "XD230828002198\n" +
                "XD230828002300\n" +
                "XD230828002334\n" +
                "XD230828002512\n" +
                "XD230828002314\n" +
                "XD230828002463\n" +
                "XD230828002290\n" +
                "XD230828002461\n" +
                "XD230828002546\n" +
                "XD230828002208\n" +
                "XD230828002344\n" +
                "XD230828002354\n" +
                "XD230828002556\n" +
                "XD230828002238\n" +
                "XD230828002522\n" +
                "XD230828002576\n" +
                "XD230828002465\n" +
                "XD230828002475\n" +
                "XD230828002586\n" +
                "XD230828002137\n" +
                "XD230828002513\n" +
                "XD230828002659\n" +
                "XD230828002493\n" +
                "XD230828002649\n" +
                "XD230828002320\n" +
                "XD230828002384\n" +
                "XD230828002147\n" +
                "XD230828002268\n" +
                "XD230828002669\n" +
                "XD230828002278\n" +
                "XD230828002572\n" +
                "XD230828002157\n" +
                "XD230828002485\n" +
                "XD230828002582\n" +
                "XD230828002298\n" +
                "XD230828002308\n" +
                "XD230828002370\n" +
                "XD230828002689\n" +
                "XD230828002177\n" +
                "XD230828002553\n" +
                "XD230828002616\n" +
                "XD230828002318\n" +
                "XD230828002187\n" +
                "XD230828002380\n" +
                "XD230828002197\n" +
                "XD230828002656\n" +
                "XD230828002612\n" +
                "XD230828002603\n" +
                "XD230828002622\n" +
                "XD230828002400\n" +
                "XD230828002420\n" +
                "XD230828002328\n" +
                "XD230828002551\n" +
                "XD230828002217\n" +
                "XD230828002450\n" +
                "XD230828002642\n" +
                "XD230828002749\n" +
                "XD230828002227\n" +
                "XD230828002237\n" +
                "XD230828002348\n" +
                "XD230828002676\n" +
                "XD230828002555\n" +
                "XD230828002247\n" +
                "XD230828002575\n" +
                "XD230828002565\n" +
                "XD230828002652\n" +
                "XD230828002662\n" +
                "XD230828002368\n" +
                "XD230828002480\n" +
                "XD230828002585\n" +
                "XD230828002307\n" +
                "XD230828002595\n" +
                "XD230828002605\n" +
                "XD230828002692\n" +
                "XD230828002732\n" +
                "XD230828002398\n" +
                "XD230828002706\n" +
                "XD230828002408\n" +
                "XD230828002789\n" +
                "XD230828002726\n" +
                "XD230828002655\n" +
                "XD230828002327\n" +
                "XD230828002418\n" +
                "XD230828002752\n" +
                "XD230828002448\n" +
                "XD230828002839\n" +
                "XD230828002534\n" +
                "XD230828002641\n" +
                "XD230828002742\n" +
                "XD230828002544\n" +
                "XD230828002736\n" +
                "XD230828002665\n" +
                "XD230828002675\n" +
                "XD230828002693\n" +
                "XD230828002859\n" +
                "XD230828002782\n" +
                "XD230828002691\n" +
                "XD230828002681\n" +
                "XD230828002701\n" +
                "XD230828002721\n" +
                "XD230828002731\n" +
                "XD230828002564\n" +
                "XD230828002812\n" +
                "XD230828002723\n" +
                "XD230828002703\n" +
                "XD230828002869\n" +
                "XD230828002711\n" +
                "XD230828002715\n" +
                "XD230828002756\n" +
                "XD230828002733\n" +
                "XD230828002713\n" +
                "XD230828002574\n" +
                "XD230828002584\n" +
                "XD230828002705\n" +
                "XD230828002802\n" +
                "XD230828002570\n" +
                "XD230828002786\n" +
                "XD230828002725\n" +
                "XD230828002822\n" +
                "XD230828002776\n" +
                "XD230828002594\n" +
                "XD230828002743\n" +
                "XD230828002751\n" +
                "XD230828002771\n" +
                "XD230828002580\n" +
                "XD230828002478\n" +
                "XD230828002407\n" +
                "XD230828002791\n" +
                "XD230828002781\n" +
                "XD230828002753\n" +
                "XD230828002417\n" +
                "XD230828002939\n" +
                "XD230828002872\n" +
                "XD230828002634\n" +
                "XD230828002882\n" +
                "XD230828002821\n" +
                "XD230828002902\n" +
                "XD230828002477\n" +
                "XD230828002467\n" +
                "XD230828002518";


        OrderSelectDto orderSelectDto = new OrderSelectDto();
        orderSelectDto.setPageNum(1);
        orderSelectDto.setPageSize(999999999);
        orderSelectDto.setDepartmentId(1689164627162529793L);
        orderSelectDto.setException(0);
        Page<OrderInfoVo> page = orderController.page(orderSelectDto);
        List<OrderInfoVo> records = page.getRecords();
        List<String> collect = records.stream().map(OrderInfo::getWlnCode).collect(Collectors.toList());

        List<String> list = Arrays.stream(a.split("\n"))
                .filter(item -> !collect.contains(item))
                .peek(System.out::println)
                .collect(Collectors.toList());

        System.out.println(list);


    }


}
